#ifdef __cplusplus
extern "C" {
#endif
#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"
#ifdef __cplusplus
}
#endif

#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#include "ppport.h"

const char* c_code_getenv(const char* name);

MODULE = TestENV		PACKAGE = TestENV

SV*
get_testenv_xs(varname)
	SV* varname;
 PREINIT:
	SV* outputString = newSV(0);
    CODE:
	sv_setpv(outputString, getenv(SvPV_nolen(varname)));
	RETVAL = outputString;
    OUTPUT:
	RETVAL

SV*
get_testenv_c(varname)
	SV* varname;
 PREINIT:
	SV* outputString = newSV(0);
    CODE:
	sv_setpv(outputString, c_code_getenv(SvPV_nolen(varname)));
	RETVAL = outputString;
    OUTPUT:
	RETVAL

